from django.conf.urls.defaults import *
from settings import MEDIA_ROOT, MEDIA_URL
from blog.feeds import LatestBlogEntries
from django.contrib import admin

handler404 = 'generic.views.render_404'

feeds_dict = {
    'blog': LatestBlogEntries,
    }

admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^sommitrealweird/', include('sommitrealweird.foo.urls')),

    # Uncomment this for admin:
    (r'^$', 'bpcms.views.document_view', {'slug': 'index'}),
    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT, 'show_indexes': True}),
    (r'^admin/(.*)$', admin.site.root),
    (r'^blog/', include('blog.urls')),
    (r'^feeds/(?P<url>.*)/', 'django.contrib.syndication.views.feed', {'feed_dict': feeds_dict}),
    (r'^(?:content/|)', include('bpcms.urls'))
)
